## rust-unicode-general-category 1.0.0

=== Makefile ===
UCD:=16.0.0

tables:
	yeslogic-ucd-generate general-category --rust-enum ../ucd-generate/ucd-$(UCD) > src/tables.rs
	cargo fmt


.PHONY: tables

## rust-unicode-general-category 0.6.0

=== debian/changelog ===
rust-unicode-general-category (0.6.0-1) unstable; urgency=medium

  * Package unicode-general-category 0.6.0 from crates.io using debcargo 2.6.1

 -- Federico Ceratto <federico@debian.org>  Mon, 10 Jun 2024 22:53:29 +0200

=== debian/control ===
Source: rust-unicode-general-category
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Federico Ceratto <federico@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/unicode-general-category]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/unicode-general-category
Homepage: https://github.com/yeslogic/unicode-general-category
X-Cargo-Crate: unicode-general-category
Rules-Requires-Root: no

Package: librust-unicode-general-category-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-unicode-general-category+default-dev (= ${binary:Version}),
 librust-unicode-general-category-0-dev (= ${binary:Version}),
 librust-unicode-general-category-0+default-dev (= ${binary:Version}),
 librust-unicode-general-category-0.6-dev (= ${binary:Version}),
 librust-unicode-general-category-0.6+default-dev (= ${binary:Version}),
 librust-unicode-general-category-0.6.0-dev (= ${binary:Version}),
 librust-unicode-general-category-0.6.0+default-dev (= ${binary:Version})
Description: Fast lookup of the Unicode General Category property for char - Rust source code
 Source code for Debianized Rust crate "unicode-general-category"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-general-category 0.6.0 --all-targets --all-features
Features: test-name=rust-unicode-general-category:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-general-category 0.6.0 --all-targets
Features: test-name=librust-unicode-general-category-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-general-category 0.6.0 --all-targets --no-default-features
Features: test-name=librust-unicode-general-category-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/unicode-general-category-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/unicode-general-category .*/crates/unicode-general-category/@ANY_VERSION@/download

## rust-unicode-general-category 1.0.0

=== debian/changelog ===
rust-unicode-general-category (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Package unicode-general-category 1.0.0 from crates.io using debcargo 2.7.8
  * Upload to unstable (Closes: #1093601)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 14 Aug 2025 12:53:04 +0000

rust-unicode-general-category (1.0.0-1) experimental; urgency=medium

  * Team upload.
  * Package unicode-general-category 1.0.0 from crates.io using debcargo 2.7.8

 -- Peter Michael Green <plugwash@debian.org>  Wed, 13 Aug 2025 18:39:00 +0000

=== debian/control ===
Source: rust-unicode-general-category
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Federico Ceratto <federico@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/unicode-general-category]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/unicode-general-category
Homepage: https://github.com/yeslogic/unicode-general-category
X-Cargo-Crate: unicode-general-category
Rules-Requires-Root: no

Package: librust-unicode-general-category-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-unicode-general-category+default-dev (= ${binary:Version}),
 librust-unicode-general-category-1-dev (= ${binary:Version}),
 librust-unicode-general-category-1+default-dev (= ${binary:Version}),
 librust-unicode-general-category-1.0-dev (= ${binary:Version}),
 librust-unicode-general-category-1.0+default-dev (= ${binary:Version}),
 librust-unicode-general-category-1.0.0-dev (= ${binary:Version}),
 librust-unicode-general-category-1.0.0+default-dev (= ${binary:Version})
Description: Fast lookup of the Unicode General Category property for char - Rust source code
 Source code for Debianized Rust crate "unicode-general-category"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-general-category 1.0.0 --all-targets --all-features
Features: test-name=rust-unicode-general-category:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-general-category 1.0.0 --all-targets
Features: test-name=librust-unicode-general-category-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-general-category 1.0.0 --all-targets --no-default-features
Features: test-name=librust-unicode-general-category-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/unicode-general-category-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/unicode-general-category .*/crates/unicode-general-category/@ANY_VERSION@/download

## rust-unicode-general-category 1.1.0

=== debian/changelog ===
rust-unicode-general-category (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * Package unicode-general-category 1.1.0 from crates.io using debcargo 2.7.11 (Closes: #1122169)

 -- Peter Michael Green <plugwash@debian.org>  Mon, 29 Dec 2025 19:58:52 +0000

=== debian/control ===
Source: rust-unicode-general-category
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Federico Ceratto <federico@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/unicode-general-category]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/unicode-general-category
Homepage: https://github.com/yeslogic/unicode-general-category
X-Cargo-Crate: unicode-general-category

Package: librust-unicode-general-category-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-unicode-general-category+default-dev (= ${binary:Version}),
 librust-unicode-general-category-1-dev (= ${binary:Version}),
 librust-unicode-general-category-1+default-dev (= ${binary:Version}),
 librust-unicode-general-category-1.1-dev (= ${binary:Version}),
 librust-unicode-general-category-1.1+default-dev (= ${binary:Version}),
 librust-unicode-general-category-1.1.0-dev (= ${binary:Version}),
 librust-unicode-general-category-1.1.0+default-dev (= ${binary:Version})
Description: Fast lookup of the Unicode General Category property for char - Rust source code
 Source code for Debianized Rust crate "unicode-general-category"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-general-category 1.1.0 --all-targets --all-features
Features: test-name=rust-unicode-general-category:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/unicode-general-category
Matching-Pattern:  .*/crates/unicode-general-category/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/unicode-general-category-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
